# Request job scope validation

POST https://api.letsdeel.com/rest/v2/eor/job-scopes/validate
Content-Type: application/json

This endpoint allows client to validate job scope description.
 **Token scopes**: `contracts:write`

Reference: https://developer.deel.com/api/eor-endpoints/eor-job-scopes/validate-job-scope

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/job-scopes/validate:
    post:
      operationId: validate-job-scope
      summary: Request job scope validation
      description: |-
        This endpoint allows client to validate job scope description.
         **Token scopes**: `contracts:write`
      tags:
        - subpackage_eorJobScopes
      parameters:
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/eor-job-scopes_validateJobScope_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RequestJobScopeValidation-v2026-01-01RequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
      requestBody:
        description: Run job scope validation
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/EorJobScopesValidatePostRequestBodyContentApplicationJsonSchemaData
                  description: details of job scope
              required:
                - data
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorJobScopesValidatePostRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        team_id:
          type: string
          format: uuid
          description: The ID of the team.
        job_scope:
          type: string
          description: The scope of the job.
        job_title:
          type: string
          description: The title of the job.
        work_visa:
          type: boolean
          description: Indicates if a work visa is required.
        client_name:
          type: string
          description: >-
            Optional client name. The validation refuses a job scope if it
            includes the client name. If not provided, it will be inferred from
            the legal entity instead.
        employee_name:
          type: string
          description: The name of the employee.
        special_job_id:
          type:
            - string
            - 'null'
          format: uuid
          description: The ID of the special job.
        employment_state:
          type:
            - string
            - 'null'
          description: The state of employment.
        employment_country:
          type: string
          description: The country of employment.
        employee_nationality:
          type: string
          description: The nationality of the employee.
        client_legal_entity_id:
          type: string
          format: uuid
          description: The ID of the client's legal entity.
      required:
        - team_id
        - job_scope
        - job_title
        - employee_name
        - employment_country
        - client_legal_entity_id
      description: details of job scope
      title: EorJobScopesValidatePostRequestBodyContentApplicationJsonSchemaData
    EorJobScopesValidatePostResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        path:
          type: string
          description: The JSON path where input validation failed
        message:
          type: string
          description: A description of the returned error
      title: EorJobScopesValidatePostResponsesContentApplicationJsonSchemaErrorsItems
    EorJobScopesValidatePostResponsesContentApplicationJsonSchemaDataForCorrectedJobScopeEndpointErrorsForCorrectJobScopeItems:
      type: object
      properties:
        message:
          type: string
          description: Message with error description
      title: >-
        EorJobScopesValidatePostResponsesContentApplicationJsonSchemaDataForCorrectedJobScopeEndpointErrorsForCorrectJobScopeItems
    EorJobScopesValidatePostResponsesContentApplicationJsonSchemaDataForCorrectedJobScopeEndpoint:
      type: object
      properties:
        anonymized_job_scope:
          type:
            - string
            - 'null'
          description: Anonymized job scope.
        errors_for_correct_job_scope:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorJobScopesValidatePostResponsesContentApplicationJsonSchemaDataForCorrectedJobScopeEndpointErrorsForCorrectJobScopeItems
          description: List of errors for corrected job scope.
        must_create_correct_job_scope:
          type: boolean
          description: Indicates if a corrected job scope is required.
      description: Data for corrected job scope endpoint.
      title: >-
        EorJobScopesValidatePostResponsesContentApplicationJsonSchemaDataForCorrectedJobScopeEndpoint
    eor-job-scopes_validateJobScope_Response_200:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorJobScopesValidatePostResponsesContentApplicationJsonSchemaErrorsItems
          description: List of validation errors, if empty the validation was successfully.
        quote_validation_log_public_id:
          type: string
          description: Id from validation request.
        data_for_corrected_job_scope_endpoint:
          $ref: >-
            #/components/schemas/EorJobScopesValidatePostResponsesContentApplicationJsonSchemaDataForCorrectedJobScopeEndpoint
          description: Data for corrected job scope endpoint.
      title: eor-job-scopes_validateJobScope_Response_200
    EorJobScopesValidatePostResponsesContentApplicationJsonSchemaRequest:
      type: object
      properties:
        url:
          type: string
          description: The relative URL of the failed request
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        method:
          type: string
          description: The HTTP method of the failed request
        source:
          type: string
          description: The source handler which produced the returned error
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
      title: EorJobScopesValidatePostResponsesContentApplicationJsonSchemaRequest
    RequestJobScopeValidation-v2026-01-01RequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorJobScopesValidatePostResponsesContentApplicationJsonSchemaErrorsItems
        request:
          $ref: >-
            #/components/schemas/EorJobScopesValidatePostResponsesContentApplicationJsonSchemaRequest
      title: RequestJobScopeValidation-v2026-01-01RequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/job-scopes/validate"

payload = { "data": {
        "team_id": "123e4567-e89b-12d3-a456-426614174000",
        "job_scope": "Software development and maintenance.",
        "job_title": "Software Engineer",
        "employee_name": "John Doe",
        "employment_country": "US",
        "client_legal_entity_id": "123e4567-e89b-12d3-a456-426614174002"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/job-scopes/validate';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"team_id":"123e4567-e89b-12d3-a456-426614174000","job_scope":"Software development and maintenance.","job_title":"Software Engineer","employee_name":"John Doe","employment_country":"US","client_legal_entity_id":"123e4567-e89b-12d3-a456-426614174002"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/job-scopes/validate"

	payload := strings.NewReader("{\n  \"data\": {\n    \"team_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"job_scope\": \"Software development and maintenance.\",\n    \"job_title\": \"Software Engineer\",\n    \"employee_name\": \"John Doe\",\n    \"employment_country\": \"US\",\n    \"client_legal_entity_id\": \"123e4567-e89b-12d3-a456-426614174002\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/job-scopes/validate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"team_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"job_scope\": \"Software development and maintenance.\",\n    \"job_title\": \"Software Engineer\",\n    \"employee_name\": \"John Doe\",\n    \"employment_country\": \"US\",\n    \"client_legal_entity_id\": \"123e4567-e89b-12d3-a456-426614174002\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/eor/job-scopes/validate")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"team_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"job_scope\": \"Software development and maintenance.\",\n    \"job_title\": \"Software Engineer\",\n    \"employee_name\": \"John Doe\",\n    \"employment_country\": \"US\",\n    \"client_legal_entity_id\": \"123e4567-e89b-12d3-a456-426614174002\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/eor/job-scopes/validate', [
  'body' => '{
  "data": {
    "team_id": "123e4567-e89b-12d3-a456-426614174000",
    "job_scope": "Software development and maintenance.",
    "job_title": "Software Engineer",
    "employee_name": "John Doe",
    "employment_country": "US",
    "client_legal_entity_id": "123e4567-e89b-12d3-a456-426614174002"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/job-scopes/validate");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"team_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"job_scope\": \"Software development and maintenance.\",\n    \"job_title\": \"Software Engineer\",\n    \"employee_name\": \"John Doe\",\n    \"employment_country\": \"US\",\n    \"client_legal_entity_id\": \"123e4567-e89b-12d3-a456-426614174002\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "team_id": "123e4567-e89b-12d3-a456-426614174000",
    "job_scope": "Software development and maintenance.",
    "job_title": "Software Engineer",
    "employee_name": "John Doe",
    "employment_country": "US",
    "client_legal_entity_id": "123e4567-e89b-12d3-a456-426614174002"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/job-scopes/validate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```